## Encoders
It uses [msmarco-distilbert-base-tas-b](https://huggingface.co/sentence-transformers/msmarco-distilbert-base-tas-b) from SBERT, a shared encoder for query and documents. The similarity function is dot-product.

## Corpus
The corpus contains only the first 10000 documents from MS MARCO for demo usage. The full corpus is available at [here](https://public.ukp.informatik.tu-darmstadt.de/thakur/BEIR/datasets/msmarco.zip) and one can load it with the [BeIR](https://github.com/UKPLab/beir) repo:

```python
from beir import util
from beir.datasets.data_loader import GenericDataLoader

#### Download msmarco.zip dataset and unzip the dataset
dataset = "msmarco"
url = "https://public.ukp.informatik.tu-darmstadt.de/thakur/BEIR/datasets/{}.zip".format(dataset)
out_dir = os.path.join(pathlib.Path(__file__).parent.absolute(), "datasets")
data_path = util.download_and_unzip(url, out_dir)

#### Provide the data_path where msmarco has been downloaded and unzipped
corpus, queries, qrels = GenericDataLoader(data_folder=data_path).load(split="test")
```

## Faiss Index
It uses Product Quantization (PQ) with segments m = 384 and 8bit clusters for each segment.


